close all; clear all;
example='lpvsys_haraldcatws';
directory='./matfiles/';

switch example
    case 'lpvsys_haraldcatws'
        files={'harald_catws_05'};
end;
                
for i=1:length(files)
    figure;
    
    load([directory files{i} '.mat'],'h','c','fmp','msk','ptrajectory');

    Nt = 2000; 
    t = linspace(0,3*h,Nt);
    [p,dp]=ptrajectory(t,c,fmp,msk);
    subplot(6,1,1); plot(t,p,'LineWidth',2); ylabel('\rho','FontSize',14); 
    set(gca,'FontSize',14)
    epps=(max(max(p))-min(min(p)))*0.1; axis([0 max(t) min(min(p))-epps max(max(p))+epps]); grid on;  
    subplot(6,1,2); plot(t,dp,'LineWidth',2); ylabel('d\rho / dt','FontSize',14);
    set(gca,'FontSize',14)
    epps=(max(max(dp))-min(min(dp)))*0.1; axis([0 max(t) min(min(dp))-epps max(max(dp))+epps]); grid on; 
    hold on;

    load([directory files{i} '_wcio.mat'],'wwc_multi','zwc_multi');
    sel=wwc_multi.time<8*h;
    subplot(6,1,3); plot(wwc_multi.time,wwc_multi.val,'LineWidth',1); ylabel('w^o','FontSize',14);
    set(gca,'XLim',[8*h,max(wwc_multi.time)]);  set(gca,'FontSize',14)
    subplot(6,1,4); plot(wwc_multi.time(sel),wwc_multi.val(sel),'LineWidth',2); ylabel('w^o','FontSize',14);
    set(gca,'XLim',[0,8*h],'XTick',linspace(0,8*h,2));  set(gca,'FontSize',14)
    

    sel=zwc_multi.time<8*h;
    subplot(6,1,5); plot(zwc_multi.time,zwc_multi.val,'LineWidth',1); ylabel('z^o','FontSize',14);
    set(gca,'XLim',[8*h,max(zwc_multi.time)]);  set(gca,'FontSize',14)
    subplot(6,1,6); plot(zwc_multi.time(sel),zwc_multi.val(sel),'LineWidth',2); ylabel('z^o','FontSize',14);
    set(gca,'XLim',[0,8*h],'XTick',linspace(0,8*h,2));  set(gca,'FontSize',14)
    
    
     set(gcf,'Position',[680 280 600 600])
    xlabel('Time [sec]');
    
end;
    
            

        
        
        
        
        